<?php if($payment_param['modal']): ?>
	
	<script src="<?php echo $server_host; ?>/static/common/scripts/modalPayform.bundle.js"></script>
	<script>
		let modal;
		let userWaiting;
		window.addEventListener("load", () => {
			let close_button = document.querySelector("#payform-close-button");
			close_button.onclick = function () {
				clearTimeout(userWaiting);
			};
			startTimer();
		});

		function click_submit() {
			modal = modalPayform("<?php echo $modal_url; ?>");
			modal.openModal();
			let close_button = document.querySelector("#payform-close-button");
			close_button.onclick = function () {
				clearTimeout(userWaiting);
			};
			startTimer();
		}

		function startTimer() {
			userWaiting = setTimeout(() => {
				clearTimeout(userWaiting);
				modal.closeModal();
			}, 5 * 60 * 1000);
		}
	</script>
	<button type="submit" class="c-button" onclick="click_submit();return false;"><?php echo "ОПЛАТИТЬ"; ?></button>

<?php else: ?>
	
	<form id="payment_form" name="payment_form" action="<?php echo $payment_url; ?>" method="POST">
			<?php foreach($args as $name => $value): ?>
				<input type="hidden" name="<?php echo $name; ?>" value="<?php echo $value; ?>">
			<?php endforeach; ?>
			<button class="c-button" type="submit"><?php echo "ОПЛАТИТЬ"; ?></button>
	</form>

<?php endif; ?>

